import { createCheckRun } from './src/check_run';
import { getOctokitForOrg, getGithubAppToken, getOctokitFromPat } from './src/auth';
import { encryptRepoSecret, getRepoPublicKey } from './src/encrypt';
import type { RepoSecretsSection } from './src/encrypt';
declare const _default: {
    org: {
        getRepositoryList: typeof import("./src/organization").getRepositoryList;
        getTeamList: typeof import("./src/organization").getTeamList;
        getUserList: typeof import("./src/organization").getUserList;
        validateMember: typeof import("./src/organization").validateMember;
        getUserRoleInOrg: typeof import("./src/organization").getUserRoleInOrg;
        getOrgInfo: typeof import("./src/organization").getOrgInfo;
        getOrgTeamsDirectAccess: typeof import("./src/organization").getOrgTeamsDirectAccess;
        getOrgPlanName: typeof import("./src/organization").getOrgPlanName;
    };
    repo: {
        listReleases: typeof import("./src/repository").listReleases;
        getReleaseByTag: typeof import("./src/repository").getReleaseByTag;
        getContent: typeof import("./src/repository").getContent;
        setContent: typeof import("./src/repository").setContent;
        uploadFile: typeof import("./src/repository").uploadFile;
        deleteFile: typeof import("./src/repository").deleteFile;
        getRepoInfo: typeof import("./src/repository").getRepoInfo;
        getPages: typeof import("./src/repository").getPages;
        getBranchProtection: typeof import("./src/repository").getBranchProtection;
        getTeams: typeof import("./src/repository").getTeams;
        getCollaborators: typeof import("./src/repository").getCollaborators;
        getOIDCRepo: typeof import("./src/repository").getOIDCRepo;
        addStatusCheck: typeof import("./src/repository").addStatusCheck;
        addCommitStatus: typeof import("./src/repository").addCommitStatus;
    };
    team: {
        getTeamMembers: typeof import("./src/team").getTeamMembers;
        getTeamInfo: typeof import("./src/team").getTeamInfo;
        getTeamRoleUser: typeof import("./src/team").getTeamRoleUser;
        create: typeof import("./src/team").create;
        addOrUpdateMember: typeof import("./src/team").addOrUpdateMember;
        removeMember: typeof import("./src/team").removeMember;
    };
    user: {
        getUserInfo: typeof import("./src/user").getUserInfo;
    };
    getOctokitForOrg: typeof getOctokitForOrg;
    getOctokitFromPat: typeof getOctokitFromPat;
    generateGithubAppToken: (config: any) => Promise<string>;
    getGithubAppToken: typeof getGithubAppToken;
    auth: {
        getOctokitForOrg: typeof getOctokitForOrg;
    };
    pulls: {
        commentInPR: typeof import("./src/pull_request").commentInPR;
        getPrLastCommitSHA: typeof import("./src/pull_request").getPrLastCommitSHA;
        getPrMergeCommitSHA: typeof import("./src/pull_request").getPrMergeCommitSHA;
        divideCommentIntoChunks: typeof import("./src/pull_request").divideCommentIntoChunks;
        getPrFiles: typeof import("./src/pull_request").getPrFiles;
        filterPrBy: (filter: {
            title: string;
            state: "all" | "closed" | "open";
            repo: string;
            owner: string;
            userType: "User" | "Bot";
        }, opts: {
            maxRetries: number;
        }) => Promise<any>;
    };
    issues: {
        create: (owner: string, repo: string, title: string, body: string, labels?: string[]) => Promise<any>;
        update: (owner: string, repo: string, issue_number: number, title: string, body: string, labels?: string[]) => Promise<any>;
        close: (owner: string, repo: string, issue_number: number) => Promise<any>;
        filterBy: (owner: string, repo: string, title: string, labels: string, state?: "all" | "closed" | "open", creator?: string, assignee?: string) => Promise<any>;
        upsertByTitle: (owner: string, repo: string, title: string, body: string, labels?: string[]) => Promise<any>;
    };
    branches: {
        listBranches: typeof import("./src/branches").listBranches;
        getBranch: typeof import("./src/branches").getBranch;
        createBranch: typeof import("./src/branches").createBranch;
        createOrphanBranch: typeof import("./src/branches").createOrphanBranch;
    };
    feedback: {
        createCheckRun: typeof createCheckRun;
        CheckRun: typeof import("./src/check_run").GithubCheckRun;
    };
    encryption: {
        encryptRepoSecret: typeof encryptRepoSecret;
        getRepoPublicKey: typeof getRepoPublicKey;
    };
};
export default _default;
export { RepoSecretsSection };
